Bug 849839 - [abrt] control-center-3.4.2-1.fc17: allocator_memalign: Process /usr/bin/gnome-control-center was killed by signal 11 (SIGSEGV)
[abrt] control-center-3.4.2-1.fc17: allocator_memalign: Process /usr/bin/gnom...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:6eb7ed9b1c91150660284a134a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 01:27 EDT by D. Charles Pyle
Modified: 2013-07-31 18:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (19.10 KB, text/plain)
2012-08-21 01:27 EDT, D. Charles Pyle
no flags Details
File: backtrace (104.12 KB, text/plain)
2012-08-21 01:27 EDT, D. Charles Pyle
no flags Details
File: xsession_errors (20.90 KB, text/plain)
2012-08-21 01:27 EDT, D. Charles Pyle
no flags Details
File: maps (101.93 KB, text/plain)
2012-08-21 01:27 EDT, D. Charles Pyle
no flags Details
File: dso_list (18.96 KB, text/plain)
2012-08-21 01:27 EDT, D. Charles Pyle
no flags Details
File: build_ids (7.85 KB, text/plain)
2012-08-21 01:27 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-08-21 01:27:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-control-center user-accounts
crash_function: allocator_memalign
executable:     /usr/bin/gnome-control-center
kernel:         3.5.2-1.fc17.x86_64
pid:            20707
pwd:            /home/dcpyle
remote_result:  NOTFOUND
time:           Mon 20 Aug 2012 11:14:28 PM MDT
uid:            1000
username:       dcpyle
var_log_messages: Aug 20 23:14:38 Illuminatus-1 abrt[20729]: Saved core dump of pid 20707 (/usr/bin/gnome-control-center) to /var/spool/abrt/ccpp-2012-08-20-23:14:28-20707 (712138752 bytes)

backtrace:      Text file, 106620 bytes
build_ids:      Text file, 8036 bytes
dso_list:       Text file, 19420 bytes
event_log:      Text file, 19556 bytes
maps:           Text file, 104375 bytes
xsession_errors: Text file, 21402 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dcpyle/2

comment:
:Since the same problem that affects Cheese also affects user-accounts in Fedora 17 and Fedora 18 Rawhide, I ran the same command line to allow ABRT to get a backtrace.
:
:$ gnome-control-center user-accounts& sleep 3; kill -11 %
:
:Otherwise, CPU goes to 100% on both cores, memory is filled, hard swapping happens, and the system becomes unresponsive until the system kills the application. This occurs when a Hauppauge WinTV-HVR-1600 tuner card (model 74041 LF Rev. C6B2) is installed in the system and the firmware package for the cx18 driver is installed and files present in /usr/lib/firmware (Fedora 17 and 18 Rawhide) or /lib/firmware (LinuxMint 13).
:
:However, in LinuxMint 13, this problem in user-accounts has been fixed and this crash does not occur in user-accounts in gnome-control-center on LinuxMint 13 but still does with Cheese as in Fedora 17 and 18 Rawhide.

core_backtrace:
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7cde9 _int_malloc libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7da36 _int_memalign libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x7fedf memalign libc.so.6 -
:ebc779125d37b2b0595730b6d78d477fe7b6bc53 0x8100c posix_memalign libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x1a299 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x61b6b g_slice_alloc libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x61bc6 g_slice_alloc0 libglib-2.0.so.0 -
:3461310fc2ad69663f66c1f040de2446a7020130 0x93cf - libcheese.so.3 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x161e3 g_object_newv libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x5935e g_initable_new_valist libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x59459 g_initable_new libgio-2.0.so.0 -
:3461310fc2ad69663f66c1f040de2446a7020130 0x95e8 cheese_camera_device_new libcheese.so.3 -
:3461310fc2ad69663f66c1f040de2446a7020130 0xa0d4 cheese_camera_device_monitor_set_up_device libcheese.so.3 -
:3461310fc2ad69663f66c1f040de2446a7020130 0xa1bc - libcheese.so.3 -
:3461310fc2ad69663f66c1f040de2446a7020130 0xa1ff - libcheese.so.3 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x449ed g_list_foreach libglib-2.0.so.0 -
:3461310fc2ad69663f66c1f040de2446a7020130 0xa349 cheese_camera_device_monitor_coldplug libcheese.so.3 -
:b480dbb51823eb5b661ad4b8570e95cbe4065e4c 0x135b3 - libuser-accounts.so -
:b480dbb51823eb5b661ad4b8570e95cbe4065e4c 0x1de3b - libuser-accounts.so -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x147a8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x15d71 g_object_newv libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16894 g_object_new libgobject-2.0.so.0 -
:6b6f461c3cbf164fa6a7f350fcf2cc079b30aa9a 0x9a90 - [exe] -
:6b6f461c3cbf164fa6a7f350fcf2cc079b30aa9a 0x7ef8 _start [exe] -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1271
:XDG_SESSION_ID=2
:HOSTNAME=Illuminatus-1
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/dcpyle/keyring-u8AHfn/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=14680069
:GNOME_KEYRING_CONTROL=/run/user/dcpyle/keyring-u8AHfn
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=dcpyle
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/dcpyle/keyring-u8AHfn/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1146,unix/unix:/tmp/.ICE-unix/1146
:USERNAME=dcpyle
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dcpyle/.local/bin:/home/dcpyle/bin
:MAIL=/var/spool/mail/dcpyle
:DESKTOP_SESSION=cinnamon
:QT_IM_MODULE=xim
:PWD=/home/dcpyle
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1139
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=cinnamon
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dcpyle
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=dcpyle
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HbqtLc4Lgw,guid=9d6f9592d359e13778dcf03800000039
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dcpyle
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-dcpyle-czKcb9/database
:_=/usr/bin/gnome-control-center

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31459                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31459                31459                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:socket:[562406]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[562409]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[562415]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[561516]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[562422]
:pos:	0
:flags:	02004002
:15:socket:[562425]
:pos:	0
:flags:	04002
:16:socket:[562426]
:pos:	0
:flags:	04002
:17:/dev/video1
:pos:	0
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 9db68083-879f-4439-af4b-6d88d79fef35
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6384.02
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E6700  @ 3.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 3203
:System Memory: 3954
:System Swap: 6015
:Vendor: Dell Inc.
:System: Inspiron 560 00
:Form factor: Desktop
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:14902:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14916:4136:1081) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 3
:(32902:14882:4136:1081) pci, ahci, STORAGE, 82801JI (ICH10 Family) SATA AHCI Controller
:(32902:14912:4136:1081) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14870:4136:1081) pci, None, PCI/ISA, 82801JIR (ICH10R) LPC Interface Controller
:(4098:26814:4163:824) pci, radeon, VIDEO, Juniper [Radeon HD 5750 Series]
:(5361:23418:112:29764) pci, cx18, MULTIMEDIA_VIDEO, WinTV HVR-1600
:(32902:14910:4136:1081) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:14901:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:14896:4136:1081) pci, i801_smbus, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:9294:4136:1081) pci, None, PCI/PCI, 82801 PCI Bridge
:(4332:33128:4136:1081) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:14900:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(32902:14903:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14904:4136:1081) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:(32902:11808:4136:1081) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4136:1081) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(4098:43608:4163:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(32902:14906:4136:1081) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4136:1081) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_illuminatus--1-lv_root / ext4 4096 4096 12643503 8848317 8206065 3211264 2752336 2752336
:/dev/sdb5 /boot ext4 1024 1024 495844 445531 419931 128016 127669 127669
:/dev/mapper/vg_illuminatus--1-lv_home /home ext4 4096 4096 6321751 5611430 5290304 1605632 1604117 1604117
:
Comment 1 D. Charles Pyle 2012-08-21 01:27:36 EDT
Created attachment 605836 [details]
File: event_log
Comment 2 D. Charles Pyle 2012-08-21 01:27:38 EDT
Created attachment 605837 [details]
File: backtrace
Comment 3 D. Charles Pyle 2012-08-21 01:27:40 EDT
Created attachment 605838 [details]
File: xsession_errors
Comment 4 D. Charles Pyle 2012-08-21 01:27:41 EDT
Created attachment 605839 [details]
File: maps
Comment 5 D. Charles Pyle 2012-08-21 01:27:43 EDT
Created attachment 605840 [details]
File: dso_list
Comment 6 D. Charles Pyle 2012-08-21 01:27:45 EDT
Created attachment 605841 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-07-03 17:23:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 18:25:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.